# Cancel Warehouse Receiving Order (DEPRECATED) POST https://api.shipbob.com/1.0/receiving/{id}/cancel This endpoint is deprecated. Please use /2.0/receiving/{id}/cancel Reference: https://developer-dev.shipbob.dev/v1.0/api/receiving/cancel-warehouse-receiving-order-deprecated ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-1.0 version: 1.0.0 paths: /1.0/receiving/{id}/cancel: post: operationId: cancel-warehouse-receiving-order-deprecated summary: | Cancel Warehouse Receiving Order (DEPRECATED) description: | This endpoint is deprecated. Please use /2.0/receiving/{id}/cancel tags: - subpackage_receiving parameters: - name: id in: path description: Id of the receiving order to cancel required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Receiving_cancelWarehouseReceivingOrderDeprecated_Response_200 '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/Receiving.ValidationProblemDetails' '422': description: Client Error content: application/json: schema: $ref: >- #/components/schemas/Receiving.Post.1.0.Receiving.Id.Cancel.Unprocessable.Entity.Object servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Receiving_cancelWarehouseReceivingOrderDeprecated_Response_200: type: object properties: {} description: Empty response body title: Receiving_cancelWarehouseReceivingOrderDeprecated_Response_200 Receiving.ValidationProblemDetails: type: object properties: detail: type: - string - 'null' errors: type: - object - 'null' additionalProperties: type: array items: type: string instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Receiving.ValidationProblemDetails Receiving.Post.1.0.Receiving.Id.Cancel.Unprocessable.Entity.Object: type: object additionalProperties: type: array items: type: string title: Receiving.Post.1.0.Receiving.Id.Cancel.Unprocessable.Entity.Object securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python import requests url = "https://api.shipbob.com/1.0/receiving/id/cancel" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.shipbob.com/1.0/receiving/id/cancel'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/1.0/receiving/id/cancel" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.shipbob.com/1.0/receiving/id/cancel") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.shipbob.com/1.0/receiving/id/cancel") .header("Authorization", "Bearer ") .asString(); ``` ```php request('POST', 'https://api.shipbob.com/1.0/receiving/id/cancel', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.shipbob.com/1.0/receiving/id/cancel"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/receiving/id/cancel")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```